netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
utf8util.c File Reference
`#include "utf8util.h"`

## Macros
#define | NULL ((void *)0)
#define | isLegalUnicodeCodePoint(v)

## Functions
void | utf8IteratorInit (struct utf8Iterator *iter, unsigned char *data, int slen)
void | utf8IteratorUninit (struct utf8Iterator *iter)
int | utf8ScanBackwardsForCodePoint (const unsigned char *msg, int len, int pos, cpUcs4 *out)
cpUcs4 | utf8IteratorGetNextCodePoint (struct utf8Iterator *iter, cpUcs4 errCh)
cpUcs4 | utf8IteratorGetCurrCodePoint (struct utf8Iterator *iter, cpUcs4 errCh)

## Macro Definition Documentation

## ◆ isLegalUnicodeCodePoint

#define isLegalUnicodeCodePoint | ( |  | v | ) |

Value:
((((v) < 0xD800L) || ((v) > 0xDFFFL)) && \
(((unsigned long)(v)) <= 0x0010FFFFL) && \
(((v)|0x1F0001) != 0x1FFFFFL))

## ◆ NULL

#define NULL ((void *)0)

## Function Documentation

## ◆ utf8IteratorGetCurrCodePoint()

cpUcs4 utf8IteratorGetCurrCodePoint | ( | struct utf8Iterator * | iter,
|  | cpUcs4 | errCh )

## ◆ utf8IteratorGetNextCodePoint()

cpUcs4 utf8IteratorGetNextCodePoint | ( | struct utf8Iterator * | iter,
|  | cpUcs4 | errCh )

## ◆ utf8IteratorInit()

void utf8IteratorInit | ( | struct utf8Iterator * | iter,
|  | unsigned char * | data,
|  | int | slen )

## ◆ utf8IteratorUninit()

void utf8IteratorUninit | ( | struct utf8Iterator * | iter | ) |

## ◆ utf8ScanBackwardsForCodePoint()

int utf8ScanBackwardsForCodePoint | ( | const unsigned char * | msg,
|  | int | len,
|  | int | pos,
|  | cpUcs4 * | out )